Bug 2011932 (CVE-2021-41865) - CVE-2021-41865 nomad: Denial of service by submitting incomplete job specifications
Summary: CVE-2021-41865 nomad: Denial of service by submitting incomplete job specific...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-41865
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2011937
TreeView+ depends on / blocked
 
Reported: 2021-10-07 18:55 UTC by Pedro Sampaio
Modified: 2021-10-12 14:08 UTC (History)
13 users (show)

Fixed In Version: nomad 1.1.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-12 14:08:28 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-10-07 18:55:50 UTC
HashiCorp Nomad and Nomad Enterprise 1.1.1 through 1.1.5 allowed authenticated users with job submission capabilities to cause denial of service by submitting incomplete job specifications with a Consul mesh gateway and host networking mode. Fixed in 1.1.6.

References:

https://discuss.hashicorp.com/t/hcsec-2021-26-nomad-denial-of-service-via-submission-of-incomplete-job-specification-using-consul-mesh-gateway-host-network/30311

Comment 1 Hardik Vyas 2021-10-08 11:32:25 UTC
Upstream PR: https://github.com/hashicorp/nomad/pull/11257

Comment 2 Product Security DevOps Team 2021-10-12 14:08:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-41865


Note You need to log in before you can comment on or make changes to this bug.